>> MIB - Management Information Base
>> Table: wlanClientTable - (.1.3.6.1.4.1.272.4.46.13.1)
Description: Describe a WLAN Client and the correspondending settings
wlanClientTable
OID | Name | Type | Access
.1 | Index | INTEGER | R
.2 | IfIndex | INTEGER | R
.3 | wlanIf | INTEGER | RW
.4 | Mode | ENUM | D
.5 | SSID | DisplayString | RW
.6 | 11dConformance | ENUM | RW
.7 | Security | ENUM | RW
.8 | DefaultKey | ENUM | RW
.9 | Key1 | OCTET STRING | RW
.10 | Key2 | OCTET STRING | RW
.11 | Key3 | OCTET STRING | RW
.12 | Key4 | OCTET STRING | RW
.13 | PassPhrase | OCTET STRING | RW
.14 | RsnPreauthentication | ENUM | RW
.15 | Band | ENUM | RW
.16 | RoamingPreference | ENUM | RW
.17 | ScanThreshold | INTEGER | RW
.18 | ScanInterval | INTEGER | RW
.19 | ChannelSweep | INTEGER | RW
.20 | ScanPeriodAMin | INTEGER | RW
.21 | ScanPeriodAMax | INTEGER | RW
.22 | ScanPeriodMin | INTEGER | RW
.23 | ScanPeriodMax | INTEGER | RW
.24 | WeightOfAssocAdv | INTEGER | RW
.25 | WeightOfRSSIAdv | INTEGER | RW
.26 | WeightOfAge | INTEGER | RW
.27 | WeightOfPenalty | INTEGER | RW
.28 | JoinFailedPenalty | INTEGER | RW
.29 | RoamingProfile | ENUM | RW
.30 | SkipChannels | BITS | RW
.33 | WPAMulticastCipher | BitValue | R
.34 | RSNMulticastCipher | BitValue | R
.35 | WPAUnicastCipher | BitValue | RW
.36 | RSNUnicastCipher | BitValue | RW
.37 | RSNCapabilities | INTEGER | R
.38 | ScanState | ENUM | RW
.64 | Bss | MacAddress | R
.65 | CurrSSID | DisplayString | R
.66 | MSDUTx | Counter32 | R
.67 | MSDURx | Counter32 | R
.68 | BytesTx | Counter32 | R
.69 | BytesRx | Counter32 | R
.70 | Rate | WlanRate | R
.71 | RSSI | WlanRSSI | R
.72 | Noise | WlanRSSI | R
.73 | RxFrames54 | Counter32 | R
.74 | RxFrames48 | Counter32 | R
.75 | RxFrames36 | Counter32 | R
.76 | RxFrames24 | Counter32 | R
.77 | RxFrames18 | Counter32 | R
.78 | RxFrames12 | Counter32 | R
.79 | RxFrames11 | Counter32 | R
.80 | RxFrames9 | Counter32 | R
.81 | RxFrames6 | Counter32 | R
.82 | RxFrames5 | Counter32 | R
.83 | RxFrames2 | Counter32 | R
.84 | RxFrames1 | Counter32 | R
.85 | TxFrames54 | Counter32 | R
.86 | TxFrames48 | Counter32 | R
.87 | TxFrames36 | Counter32 | R
.88 | TxFrames24 | Counter32 | R
.89 | TxFrames18 | Counter32 | R
.90 | TxFrames12 | Counter32 | R
.91 | TxFrames11 | Counter32 | R
.92 | TxFrames9 | Counter32 | R
.93 | TxFrames6 | Counter32 | R
.94 | TxFrames5 | Counter32 | R
.95 | TxFrames2 | Counter32 | R
.96 | TxFrames1 | Counter32 | R
.97 | RSSI1 | WlanRSSI | R
.98 | RSSI2 | WlanRSSI | R
.99 | RSSI3 | WlanRSSI | R
Index
Unique Client index. Range: 0 to 255
IfIndex
IfIndex of the client interface.
wlanIf
IfIndex of the wlan Interface the client belongs to.
Mode
Switch between infrastructure and ad-hoc mode. Enumerations: infra (1) ad-hoc (2) delete (3)
SSID
The Service Set Name Length: 0 to 255
11dConformance
none - use own country info flexible - try to get country info from an AP else use own country info strict - try to get country info from an AP else do nothing Enumerations: none (1) flexible (2) strict (3)
Security
The Security Option which will be used. WPA-NONE is a special mode only for Ad-hoc mode. There is no key management that means the key is static (calculated from SSID and passphrase). Enumerations: none (1) wep40 (2) wep104 (3) wpa-psk (4) wpa2-psk (5) wpa (6) wpa2 (7) wpa-none (8)
DefaultKey
Enumerations: key1 (1) key2 (2) key3 (3) key4 (4)
Key1
Key string for WEP key nr. 1. Length: 0 to 33
Key2
Key string for WEP key nr. 2. Length: 0 to 33
Key3
Key string for WEP key nr. 3. Length: 0 to 33
Key4
Key string for WEP key nr. 4. Length: 0 to 33
PassPhrase
Passphrase string for WPA-PSK and WPA2-PSK. Length: 0 to 64
RsnPreauthentication
When this object is set to TRUE, this shall indicate that RSNA preauthentication is enabled on this entity. This object requires that dot11RSNAEnabled also be set to TRUE. Enumerations: enable (1) disable (2)
Band
Frequency band Enumerations: b24-GHz (1) b5-GHz (2) b24-5-GHz (3)
RoamingPreference
Which band is prefered for association. none : no preference (default) b24-GHz: prefer APs on 2,4 GHz b5-GHz : prefer APs on 5 GHz Enumerations: none (1) b24-GHz (2) b5-GHz (3)
ScanThreshold
Threshold in dBm above which the background scan is active. Default is -70dBm. Range: -90 to -10
ScanInterval
Scan interval, in ms, between successive sweeps. Default is 5000ms. Range: 200 to 50000
ChannelSweep
Number of frequencies to scan for each background scan. Sweep = 0 disables background scanning. Sweep = -1 causes the sweep to cover all frequencies available. Default is a sweep of 2 channels.
ScanPeriodAMin
Minimum time in ms to spend on a frequency when active scanning. Default is 10ms.
ScanPeriodAMax
Maximum time in ms to spend on a frequency when active scanning. Default is 40ms.
ScanPeriodMin
Minimum time in ms to spend on a frequency when passive scanning. Default is 20ms.
ScanPeriodMax
Maximum time in ms to spend on a frequency when passive scanning. Default is 120ms.
WeightOfAssocAdv
Advantage of the BSS currently associated with. Default is a weight of 10.
WeightOfRSSIAdv
Weight of the BSS's received signal strength indicator (RSSI). Default is a weight of 10.
WeightOfAge
Weight of the BSS's age. Default is a weight of 5
WeightOfPenalty
Weight of the BSS's penalty. Default is a weigth of 10.
JoinFailedPenalty
Penalty when joining an AP failed. Default is a penalty value of 50.
RoamingProfile
All roaming parameters are summarized to profiles for the most used roaming behaviors. fast : client roams if signal is not strong enough for higher data rates normal: default roaming parameters slow : client roams if signal is weak no : client roams only when it is disassociated custom: user can change roaming parameter Enumerations: fast (1) normal (2) slow (3) no (4) custom (5)
SkipChannels
If a bit is set the accordingly channel will be skipped from the channel scan list (channel 1-14 for 2.4 GHz). Default is scan all channels. Enumerations: channel-1 (0) channel-2 (1) channel-3 (2) channel-4 (3) channel-5 (4) channel-6 (5) channel-7 (6) channel-8 (7) channel-9 (8) channel-10 (9) channel-11 (10) channel-12 (11) channel-13 (12) channel-14 (13)
WPAMulticastCipher
The multicast ciphers used for WPA. For WPA and RSN, only one of the following values is allowed: WPA_CIPHERSUITE_NONE(0x01) WPA_CIPHERSUITE_WEP_40(0x02) WPA_CIPHERSUITE_WEP_104(0x04) WPA_CIPHERSUITE_TKIP(0x08) WPA_CIPHERSUITE_AES_CCMP(0x10) WPA_CIPHERSUITE_AES_WRAP(0x20) Only one of the WPA_ and RSN_ bits may be set. Range: 0 to -1
RSNMulticastCipher
The multicast ciphers used for RSN. For WPA and RSN, only one of the following values is allowed: WPA_CIPHERSUITE_NONE(0x01) WPA_CIPHERSUITE_WEP_40(0x02) WPA_CIPHERSUITE_WEP_104(0x04) WPA_CIPHERSUITE_TKIP(0x08) WPA_CIPHERSUITE_AES_CCMP(0x10) WPA_CIPHERSUITE_AES_WRAP(0x20) Only one of the WPA_ and RSN_ bits may be set. Range: 0 to -1
WPAUnicastCipher
The set of unicast ciphers used for WPA. For WPA and RSN, set one or more of the following bit values: WPA_CIPHERSUITE_NONE(0x01) WPA_CIPHERSUITE_WEP_40(0x02) WPA_CIPHERSUITE_WEP_104(0x04) WPA_CIPHERSUITE_TKIP(0x08) WPA_CIPHERSUITE_AES_CCMP(0x10) WPA_CIPHERSUITE_AES_WRAP(0x20) One or more bits may be set to indicate the available ciphers. Range: 0 to -1
RSNUnicastCipher
The set of unicast ciphers used for RSN. For WPA and RSN, set one or more of the following bit values: WPA_CIPHERSUITE_NONE(0x01) WPA_CIPHERSUITE_WEP_40(0x02) WPA_CIPHERSUITE_WEP_104(0x04) WPA_CIPHERSUITE_TKIP(0x08) WPA_CIPHERSUITE_AES_CCMP(0x10) WPA_CIPHERSUITE_AES_WRAP(0x20) One or more bits may be set to indicate the available ciphers. Range: 0 to -1
RSNCapabilities
The RSN capabilities bytes, Range: 0 to 65535
ScanState
This attribute holds the foreground scanning status. Writing scanning(2) in idle state triggers a new foreground scan cycle. All entries for this client interface in the wlanScanResultsTable are removed. When the WLAN client has finished scanning, the attribute changes back to idle(1), and the wlanScanResultsTable is updated automatically. To update wlanScanResultsTable without triggering a new foreground scan, you can write update(3) to this attribute. This causes wlanScanResultsTable to be updated immedieately, reflecting any changes detected by automatic backgound scanning. After wlanScanResultsTable is updated, the value switches back to state idle(1). Any attempt to write different values, or to write values in a state different from idle(1), is ignored. Enumerations: idle (1) scanning (2) update (3)
Bss
BSS Id the client is associated with. If client is not associated, this attribute reads 00:00:00:00:00:00. Length: 6 to 6
CurrSSID
The Service Set Name the client really is associated with. This usually equal to wlanClientSSID, except for empty wlanClientSSID, which means any SSID. Length: 0 to 255
MSDUTx
Count of transmitted MSDU
MSDURx
Count of received MSDU
BytesTx
total number of transmitted bytes
BytesRx
total number of received bytes
Rate
Data rate of latest received data frame, in 500 kbps units. If client is not associated, this attribute always reads 0. Range: 0 to 600
RSSI
Receive signal strength of latest received data frame. Range: -110 to 0
Noise
This attribute shows the measured noise level in dBm, or 0 if no connection can be established. Range: -110 to 0
RxFrames54
This attribute shows the number of data frames that were received at 54 Mbps.
RxFrames48
This attribute shows the number of data frames that were received at 48 Mbps.
RxFrames36
This attribute shows the number of data frames that were received at 36 Mbps.
RxFrames24
This attribute shows the number of data frames that were received at 24 Mbps.
RxFrames18
This attribute shows the number of data frames that were received at 18 Mbps.
RxFrames12
This attribute shows the number of data frames that were received at 12 Mbps.
RxFrames11
This attribute shows the number of data frames that were received at 11 Mbps.
RxFrames9
This attribute shows the number of data frames that were received at 9 Mbps.
RxFrames6
This attribute shows the number of data frames that were received at 6 Mbps.
RxFrames5
This attribute shows the number of data frames that were received at 5.5 Mbps.
RxFrames2
This attribute shows the number of data frames that were received at 2 Mbps.
RxFrames1
This attribute shows the number of data frames that were received at 1 Mbps.
TxFrames54
This attribute shows the number of data frames that were transmitted at 54 Mbps.
TxFrames48
This attribute shows the number of data frames that were transmitted at 48 Mbps.
TxFrames36
This attribute shows the number of data frames that were transmitted at 36 Mbps.
TxFrames24
This attribute shows the number of data frames that were transmitted at 24 Mbps.
TxFrames18
This attribute shows the number of data frames that were transmitted at 18 Mbps.
TxFrames12
This attribute shows the number of data frames that were transmitted at 12 Mbps.
TxFrames11
This attribute shows the number of data frames that were transmitted at 11 Mbps.
TxFrames9
This attribute shows the number of data frames that were transmitted at 9 Mbps.
TxFrames6
This attribute shows the number of data frames that were transmitted at 6 Mbps.
TxFrames5
This attribute shows the number of data frames that were transmitted at 5.5 Mbps.
TxFrames2
This attribute shows the number of data frames that were transmitted at 2 Mbps.
TxFrames1
This attribute shows the number of data frames that were transmitted at 1 Mbps.
RSSI1
Receive signal strength of latest data frame received by first receiver. A value of 0 inidcates no connection. Range: -110 to 0
RSSI2
Receive signal strength of latest data frame received by first receiver. A value of 0 inidcates no second receiver present or no connection. Range: -110 to 0
RSSI3
Receive signal strength of latest data frame received by third receiver. A value of 0 inidcates no third receiver present or no connection. Range: -110 to 0

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH